Loading...
Searching...
No Matches
spongerng.hxx File Reference

Sponge RNG instances, C++ wrapper. More...

Go to the source code of this file.

## Classes

class | decaf::SpongeRng
| Sponge-based random-number generator. More...
class | decaf::SpongeRng::RngException
| Exception thrown when The RNG fails (to seed itself) More...

## Namespaces

namespace | decaf
| Namespace for all C++ decaf objects.

## Detailed Description

Sponge RNG instances, C++ wrapper.

Copyright
  Based on CC0 code by David Leon Gil, 2015
  Copyright (c) 2015 Cryptography Research, Inc.
  Released under the MIT License. See LICENSE.txt for license information.

Author
  Mike Hamburg

Warning
  The guts of this are subject to change. Please don't implement anything that depends on the deterministic RNG being stable across versions of this library.